Distribution:   CCux
Packager:       Karsten Brockmann <arcam@ccux-linux.de>

Name:           lazarus
Version:        0.9.22
Release:        1
Summary:        IDE and component library for FreePascal

Group:          Development/Pascal
License:        GPL and modified LGPL
URL:            http://www.lazarus.freepascal.org/
Source0:        http://prdownloads.sourceforge.net/%{name}/%{name}-%{version}-%{release}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Requires:       fpc-src >= 2.2.0, fpc >= 2.2.0, gdb

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

%description
Lazarus is a free and open source Rapid Application Development tool for
the FreePascal compiler using the Lazarus component library - LCL. The LCL
is included in this package.

%post
%{_libdir}/%{name}/tools/install/rpm/create_gtk1_links.sh

%postun
update-desktop-database &> /dev/null ||:


%prep
%setup -c

%build
cd lazarus
MAKEOPTS="-Fl/opt/gnome/lib"
if [ -n "$FPCCfg" ]; then
  MAKEOPTS="$MAKEOPTS -n @$FPCCfg"
fi
make bigide OPT="$MAKEOPTS" USESVN2REVISIONINC=0
make tools OPT="$MAKEOPTS"
make lazbuilder OPT="$MAKEOPTS"
# build gtk2 .ppu
export LCL_PLATFORM=gtk2
make lcl ideintf packager/registration bigidecomponents OPT="$MAKEOPTS"
export LCL_PLATFORM=
strip lazarus
strip startlazarus
strip lazbuild

%install
[ %{buildroot} != "/" ] && ( rm -rf %{buildroot} )
mkdir -p %{buildroot}%{_libdir}/%{name}
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_datadir}/pixmaps
# mkdir -p %{buildroot}%{_datadir}/gnome/apps/Development
mkdir -p %{buildroot}%{_datadir}/applications
mkdir -p %{buildroot}%{_mandir}/man1
cp -a lazarus/* %{buildroot}%{_libdir}/%{name}/
  install -m 644 lazarus/images/ide_icon48x48.png %{buildroot}%{_datadir}/pixmaps/lazarus.png
  install -m 644 lazarus/install/lazarus.desktop %{buildroot}%{_datadir}/applications/lazarus.desktop
ln -sf ../%{_lib}/%{name}/lazarus %{buildroot}%{_bindir}/lazarus
ln -sf ../%{_lib}/%{name}/startlazarus %{buildroot}%{_bindir}/startlazarus
ln -sf ../%{_lib}/%{name}/lazbuild %{buildroot}%{_bindir}/lazbuild
cat lazarus/docs/lazbuild.1 | gzip > %{buildroot}%{_mandir}/man1/lazbuild.1.gz

%clean
[ %{buildroot} != "/" ] && ( rm -rf %{buildroot} )

%files
%defattr(-,root,root,-)
%{_libdir}/%{name}
%{_bindir}/*
%{_datadir}/pixmaps/lazarus.png
%{_datadir}/applications/lazarus.desktop
%{_mandir}/*/*



%changelog
* Sat Oct 27 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.9.22-1
- Initial package release
